PATCH https://api.zatomic.ai/v1/contexts/{contextId}
// Example
PATCH https://api.zatomic.ai/v1/contexts/ctx_2qRzu8geIvfudcJTwP0pur4TbMJ
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Changelog
- Contexts
- The Context Object
- Create File Context
- Create Text Context
- Update Context
- Delete Context
- Retrieve Context
- Retrieve All Contexts
- Context Versions
- The Context Version Object
- Create File Context Version
- Create Text Context Version
- Update File Context Version
- Update Text Context Version
- Delete Context Version
- Retrieve Context Version
- Retrieve All Context Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Versions
- The Version Object
- Create Version
- Update Version
- Delete Version
- Retrieve Version
- Retrieve All Versions
- Calculate Version Score
- Retrieve Version Score
- Generate Version Heatmap
- Retrieve Version Heatmap
- Analyze Version Balance
- Retrieve Version Balance
- Analyze Version Risk
- Retrieve Version Risk
- Improve Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Update Context
This endpoint allows you to update either the name of the context, its description, or both. If you need to update the text content or file for a context, that can be done by updating a context version.
Endpoint
Endpoint Request
| Request Properties | |
|---|---|
|
name
string, optional
|
Name of the context. |
|
description
string, optional
|
Description of the context. |
|
project_id
string, optional
|
The ID of the project that contains the context. Set to empty string ("") to remove context from project. |
Request Body
{
"name": "Context name",
"description": "Context description.",
"project_id": "prj_32hbc9w4iVeyUZ1iRvjZYUrvS73"
}
Endpoint Response
A successful call returns a response that contains the updated context object.
| HTTP Status Codes | ||
|---|---|---|
| 200 | OK | The context was updated. |
| 404 | Not Found | The context didn't exist. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |